class dns::apache2 {

  package { ['apache2', 'libapache2-mod-qos']:
        ensure => installed,
  }
  service { 'apache2':
    ensure  => running,
    enable  => true,
  }
  exec { 'a2enmod ssl && a2enmod headers && a2enmod proxy && a2enmod proxy_http && a2enmod request && a2enmod rewrite':
    #subscribe   => File['/etc/apache2/sites-available/default-ssl.conf'],
    refreshonly => true,
    notify      => Service['apache2'],
  }
#  exec { 'a2dissite default-ssl.conf':
#    notify      => Service['apache2'],
#  }
#  exec { 'a2dissite default-000.conf':
#    notify      => Service['apache2'],
#  }
}
